# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/crypto/amlogic,gxl-crypto.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Amlogic GXL Cryptographic Offloader

maintainers:
  - Corentin Labbe <clabbe@baylibre.com>

properties:
  compatible:
    items:
      - const: amlogic,gxl-crypto

  reg:
    maxItems: 1

  interrupts:
    items:
      - description: "Interrupt for flow 0"
      - description: "Interrupt for flow 1"

  clocks:
    maxItems: 1

  clock-names:
    const: blkmv

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    #include <dt-bindings/clock/gxbb-clkc.h>

    crypto: crypto-engine@c883e000 {
        compatible = "amlogic,gxl-crypto";
        reg = <0xc883e000 0x36>;
        interrupts = <GIC_SPI 188 IRQ_TYPE_EDGE_RISING>, <GIC_SPI 189 IRQ_TYPE_EDGE_RISING>;
        clocks = <&clkc CLKID_BLKMV>;
        clock-names = "blkmv";
    };
